Public Member Functions

# BootstrapBackground Class Reference

The background for the game. More...

Inheritance diagram for BootstrapBackground:

## Public Member Functions
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.

## Detailed Description

The background for the game.

Definition at line 48 of file bootstrap_gui.cpp.

## Member Function Documentation

virtual void BootstrapBackground::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 57 of file bootstrap_gui.cpp.

References FILLRECT_CHECKER, FILLRECT_OPAQUE, and GfxFillRect().

The documentation for this class was generated from the following file:

- src/bootstrap_gui.cpp